Subject: bug#6576: documentation `string-to-char' is incorrect

From: Chong Yidong <[email-masked]>
Date: Thu, 21 Jul 2011 14:38:38 -0400

MON KEY <[email-masked]> writes:

>> I think these functions should say that they return a character, and
>> if that's not sufficient, they should refer you to the manual to
>> explain what Emacs means by a character.
>
> If it doesn't do what it says or then a pointer into the manual won't
> help clarify the underlying issue and only glosses over it.

I removed the explanation of what a character is; there's no need to do
that here, or in all the other character-related functions like
char-after.